Skip to content

Endpoint

  • Method: POST
  • Path: /calendars/{id}/events
  • Edition: Core
  • Controller: CalendarController@createCalendarEvent
  • Route source: fluent-booking/app/Http/Routes/api.php:22
  • Policy: CalendarPolicy

Create Calendar Event

POST
/calendars/{id}/events

Handler: CalendarController@createCalendarEvent. Source: fluent-booking/app/Http/Routes/api.php:22.

Authorizations

ApplicationPasswords

WordPress Application Passwords — use Basic auth with username:application_password.

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*

Id path parameter.

Type
string
Required

Request Body

application/json
JSON
{
"user_id": 0,
"account_id": 0,
"parent_id": {
},
"title": "string",
"slug": "string",
"media_id": 0,
"description": "string",
"settings": {
},
"status": "string",
"type": "string",
"event_type": "string",
"account_type": "string",
"visibility": "string",
"author_timezone": "string",
"max_book_per_slot": 0
}

Responses

Resource created.

application/json
JSON
{
"message": "string",
"calendar": {
"id": 0,
"hash": "string",
"user_id": 0,
"account_id": 0,
"parent_id": {
},
"title": "string",
"slug": "string",
"media_id": 0,
"description": "string",
"settings": {
},
"status": "string",
"type": "string",
"event_type": "string",
"account_type": "string",
"visibility": "string",
"author_timezone": "string",
"max_book_per_slot": 0,
"created_at": "string",
"updated_at": "string"
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI